curl --request POST \
--url https://plugin-pix-indirect.api.lerian.net/v1/dict/funds-recoveries \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"contactInformation": {
"email": "customer@example.com",
"phone": "+5511999999999"
},
"rootTransactionId": "E12345678202411241430ABCDEFGHIJK",
"situationType": "SCAM",
"reportDetails": "Customer reported receiving a call from fake bank employee",
"trackingGraphParameters": {
"hopWindow": "PT24H",
"maxHops": 5,
"maxTransactions": 500,
"minTransactionAmount": "200.00"
}
}
'import requests
url = "https://plugin-pix-indirect.api.lerian.net/v1/dict/funds-recoveries"
payload = {
"contactInformation": {
"email": "customer@example.com",
"phone": "+5511999999999"
},
"rootTransactionId": "E12345678202411241430ABCDEFGHIJK",
"situationType": "SCAM",
"reportDetails": "Customer reported receiving a call from fake bank employee",
"trackingGraphParameters": {
"hopWindow": "PT24H",
"maxHops": 5,
"maxTransactions": 500,
"minTransactionAmount": "200.00"
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
contactInformation: {email: 'customer@example.com', phone: '+5511999999999'},
rootTransactionId: 'E12345678202411241430ABCDEFGHIJK',
situationType: 'SCAM',
reportDetails: 'Customer reported receiving a call from fake bank employee',
trackingGraphParameters: {
hopWindow: 'PT24H',
maxHops: 5,
maxTransactions: 500,
minTransactionAmount: '200.00'
}
})
};
fetch('https://plugin-pix-indirect.api.lerian.net/v1/dict/funds-recoveries', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"bacenFundsRecoveryId": "91d65e98-97c0-4b0f-b577-73625da1f9fc",
"contactInformation": {
"email": "customer@example.com",
"phone": "+5511999999999"
},
"createdAt": "2023-11-07T05:31:56Z",
"id": "550e8400-e29b-41d4-a716-446655440000",
"reportDetails": "Customer reported receiving a call from fake bank employee",
"reporterParticipant": "12345678",
"rootTransactionId": "E12345678202411241430ABCDEFGHIJK",
"situationType": "SCAM",
"status": "CREATED",
"trackingGraph": {
"accounts": [
{
"id": 1,
"openingDate": "2020-01-15",
"ownerId": 1,
"participant": "12345678"
}
],
"creationTime": "2023-11-07T05:31:56Z",
"fundsRecoveryId": "550e8400-e29b-41d4-a716-446655440000",
"parameters": {
"hopWindow": "PT24H",
"maxHops": 5,
"maxTransactions": 500,
"minTransactionAmount": "200.00"
},
"persons": [
{
"entityCreationDate": "2020-01-15",
"id": 1,
"type": "NATURAL_PERSON"
}
],
"rootTransactionId": "E12345678202411241430ABCDEFGHIJK",
"transactions": [
{
"amount": 1000.5,
"creditorAccountId": 2,
"debtorAccountId": 1,
"id": "E12345678202411241430ABCDEFGHIJK",
"refundableAmount": 1000.5,
"settlementTime": "2023-11-07T05:31:56Z"
}
]
},
"updatedAt": "2023-11-07T05:31:56Z"
}{
"code": "<string>",
"title": "<string>",
"message": "<string>"
}{
"code": "<string>",
"title": "<string>",
"message": "<string>"
}{
"code": "<string>",
"title": "<string>",
"message": "<string>"
}Crear una solicitud de recuperación de fondos
Usa este endpoint para crear una nueva solicitud de recuperación de fondos para una transacción Pix sospechosa de fraude.
Notas:
- El rootTransactionId debe ser un End-to-End ID Pix válido de 32 caracteres
- situationType indica el tipo de situación de fraude (SCAM, ACCOUNT_TAKEOVER, COERCION, FRAUDULENT_ACCESS, OTHER, UNKNOWN)
- La información de contacto (correo electrónico y teléfono) es obligatoria para la comunicación durante el proceso de recuperación
Autorizaciones
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Cuerpo
ContactInformation contiene la información de contacto de la persona que reporta el fraude
Show child attributes
Show child attributes
RootTransactionID es el ID de la transacción Pix End-to-End original
"E12345678202411241430ABCDEFGHIJK"
SituationType es el tipo de situación de fraude
SCAM, ACCOUNT_TAKEOVER, COERCION, FRAUDULENT_ACCESS, OTHER, UNKNOWN "SCAM"
ReportDetails es la descripción detallada del incidente de fraude
2000"Customer reported receiving a call from fake bank employee"
TrackingGraphParameters contiene parámetros opcionales para la generación del grafo de rastreo
Show child attributes
Show child attributes
Respuesta
Created
"91d65e98-97c0-4b0f-b577-73625da1f9fc"
Show child attributes
Show child attributes
"2023-11-07T05:31:56Z"
"550e8400-e29b-41d4-a716-446655440000"
"Customer reported receiving a call from fake bank employee"
"12345678"
"E12345678202411241430ABCDEFGHIJK"
SCAM, ACCOUNT_TAKEOVER, COERCION, FRAUDULENT_ACCESS, OTHER, UNKNOWN "SCAM"
CREATED, TRACKED, AWAITING_ANALYSIS, ANALYSED, REFUNDING, COMPLETED, CANCELLED "CREATED"
TrackingGraph es el grafo de rastreo generado durante la creación (PRD 4.1 / US-01) Presente cuando se proporcionaron trackingGraphParameters en la solicitud
Show child attributes
Show child attributes
"2023-11-07T05:31:56Z"
¿Esta página le ayudó?

